Bug 10533 - xlock gets killed and stops the locking; heavy swapping after long locking sessions
xlock gets killed and stops the locking; heavy swapping after long locking se...
Product: Red Hat Linux
Classification: Retired
Component: xlockmore (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2000-04-03 01:07 EDT by Pekka Savola
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-28 09:56:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2000-04-03 01:07:02 EDT

1) If I xlock my Redhat 6.1 box, and leave it on for a long time and take
off the network connectivity (remove CAT5 cable for example), xlock seems
to break off from it locked state and return to UNLOCKED state!

This has bug has gotten me at least 4-5 times now.  I don't remember seeing
it in 6.0.  My xlocking sessions can be very long, up to a week or so
(generally 2-3 days).  I don't know for certain what causes this, but it
sure is annoying. :)

[psavola@myhost psavola]$ xlock
[ long time passes and network connectivity is lost ]
Access control list restored.
xlock: caught signal 11 while running flow mode (uid 154).

All I know that xlock WAS NOT killed manually.  When this happens, there
always has seemed to be a network connectivity loss involved (SSH):
Read from remote host otherdomain.fi: Connection reset by peer
Connection to otherdomain.fi closed.

2) After very long xlock sessions (over a couple of days), the computer
swaps for a very long time (1-2 minutes) and is unusable. I don't think
this should be so.  I don't remember seeing this in Redhat 6.0 either;
however I did use my computer more frequently back then.  This is P2-300
with 64 megs of RAM -- shouldn't be a problem.

I use Gnome.
Comment 1 Pekka Savola 2000-05-11 12:20:59 EDT
This seems to be fixed in xlockmore-4.15 that shipped with Redhat 6.2.
Comment 2 Pekka Savola 2000-05-15 18:33:59 EDT
Oops.  It seems xlockmore survived one potential crash, but didn't get over the

The problem seems to persist. :-(
Comment 3 Bill Nottingham 2000-08-07 23:16:21 EDT
We've never been able to reproduce this.
Are you using a particular mode?
Comment 4 Pekka Savola 2000-08-08 01:52:39 EDT
I use the default modes (random, I think?).. just 'xlock'.

The swapping problem was resolved earlier, with an upgrade of xlock (to 6.2
version, I think).

RH6.2 version of xlockmore still lost its lock now and then.

I've been using Pinstripe version rebuilt on RH61 for a while, and I don't think
it has crashed yet.  I'll keep my eyes open.

Comment 5 Harald Hoyer 2001-03-28 09:16:19 EST
Can this bug be closed????
Comment 6 Pekka Savola 2001-03-28 09:56:34 EST
This is still a problem in 6.1, I guess, but I haven't seen this behaviour in
is fine by me.

Note You need to log in before you can comment on or make changes to this bug.